[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TUnderlyingStreamType

The type of the underlying stream of TResourceDataStream

## Declaration

Source position: resdatastream.pp line 57

`type TUnderlyingStreamType = (`
`usCached,` |  | The underlying stream is a TCachedResourceDataStream descendant
`usMemory,` |  | The underlying stream is a memory stream
`usCustom` |  | The underlying stream is a custom stream
`);`

## See also

TResourceDataStream |  | Stream class that provides copy-on-write functionality